// CORDOVA用BGM・SE再生プログラム

(function(){
	var bgmStart = {
		vital : ["storage"],
		pm : {
			"storage" : "",
			"loop" : "true",
			"volume" : ""
		},
		start : function(pm) {
			
			if(CORDOVA_BGM_SE == "OK"){
				if(pm.volume == ""){
					pm.volume = TYRANO.kag.variable.sf.bgm;
				}
				
				if(CORDOVA_BGM != null){
					CORDOVA_BGM.stop();
					CORDOVA_BGM.release();
					CORDOVA_BGM = null;
				}
				
				CORDOVA_BGM = new Media(getPath()+"data/bgm/"+pm.storage, onSuccess, mediaError, mediaStatusBGM);
				CORDOVA_BGM.play();
				CORDOVA_BGM.setVolume(pm.volume);
			}
			this.kag.ftag.nextOrder();
			
		}
	};
	
	var bgmStop = {
		vital : [],
		pm : {
			"time" : ""
		},
		start : function(pm) {
			
			if(CORDOVA_BGM_SE == "OK"){
				CORDOVA_BGM.stop();
				CORDOVA_BGM.release();
				CORDOVA_BGM = null;
			}
			this.kag.ftag.nextOrder();
			
		}
	};
	
	var seStart = {
		vital : ["storage"],
		pm : {
			"storage" : "",
			"loop" : "true",
			"volume" : "",
			"buf" : ""
		},
		start : function(pm) {
			
			if(CORDOVA_BGM_SE == "OK"){
				if(pm.volume == ""){
					pm.volume = TYRANO.kag.variable.sf.se;
				}
				
				if(CORDOVA_SE != null){
					CORDOVA_SE.stop();
					CORDOVA_SE.release();
					CORDOVA_SE = null;
				}
				
				CORDOVA_SE = new Media(getPath()+"data/sound/"+pm.storage, onSuccess, mediaError);
				CORDOVA_SE.play();
				CORDOVA_SE.setVolume(pm.volume);
			}
			this.kag.ftag.nextOrder();
			
		}
	};
	
	var seStartSmall = {
		vital : ["storage"],
		pm : {
			"storage" : "",
			"loop" : "true",
			"volume" : "",
			"buf" : ""
		},
		start : function(pm) {
			
			if(CORDOVA_BGM_SE == "OK"){
				if(pm.volume == ""){
					pm.volume = TYRANO.kag.variable.sf.se;
				}
				
				if(pm.volume == "0.25"){
					pm.volume = "0.15";
				}else if(pm.volume == "0.5"){
					pm.volume = "0.3";
				}else if(pm.volume == "1.0"){
					pm.volume = "0.6";
				}
				
				if(CORDOVA_SE != null){
					CORDOVA_SE.stop();
					CORDOVA_SE.release();
					CORDOVA_SE = null;
				}
				
				CORDOVA_SE = new Media(getPath()+"data/sound/"+pm.storage, onSuccess, mediaError);
				CORDOVA_SE.play();
				CORDOVA_SE.setVolume(pm.volume);
			}
			this.kag.ftag.nextOrder();
			
		}
	};
	
	var seStop = {
		vital : [],
		pm : {
			"time" : ""
		},
		start : function(pm) {
			
			if(CORDOVA_BGM_SE == "OK"){
				CORDOVA_SE.stop();
				CORDOVA_SE.release();
				CORDOVA_SE = null;
			}
			this.kag.ftag.nextOrder();
			
		}
	};
	
	// タグとして割り当て
	TYRANO.kag.ftag.master_tag.bgmStart = object(bgmStart);
	TYRANO.kag.ftag.master_tag.bgmStart.kag = TYRANO.kag;
	
	TYRANO.kag.ftag.master_tag.bgmStop = object(bgmStop);
	TYRANO.kag.ftag.master_tag.bgmStop.kag = TYRANO.kag;
	
	TYRANO.kag.ftag.master_tag.seStart = object(seStart);
	TYRANO.kag.ftag.master_tag.seStart.kag = TYRANO.kag;
	
	TYRANO.kag.ftag.master_tag.seStartSmall = object(seStartSmall);
	TYRANO.kag.ftag.master_tag.seStartSmall.kag = TYRANO.kag;
	
	TYRANO.kag.ftag.master_tag.seStop = object(seStop);
	TYRANO.kag.ftag.master_tag.seStop.kag = TYRANO.kag;
	
})();
