;ゴール処理
*goal

[bgmStop time=500]
[wait time=500]

[bgmStart storage="goal1.ogg"]
[eval exp="f.nowBGM = 'goal1'"]

;光の音を鳴らす
[iscript]
	if (f.LightState.OTO == "鸟鸣"){
		tf.goalOto = "hikari_tori.ogg";
	}else if (f.LightState.OTO == "雨"){
		tf.goalOto = "hikari_ame.ogg";
	}else if (f.LightState.OTO == "蝉鸣"){
		tf.goalOto = "hikari_semi.ogg";
	}else if (f.LightState.OTO == "风"){
		tf.goalOto = "hikari_kaze.ogg";
	}else if (f.LightState.OTO == "上课铃"){
		tf.goalOto = "hikari_tyaimu.ogg";
	}else if (f.LightState.OTO == "电车"){
		tf.goalOto = "hikari_densya.ogg";
	}else if (f.LightState.OTO == "港口"){
		tf.goalOto = "hikari_minato.ogg";
	}else if (f.LightState.OTO == "城镇"){
		tf.goalOto = "hikari_mati.ogg";
	}
[endscript]

[seStart storage="&tf.goalOto"]

[cm]

;光描写処理
[PRI_canvas_set layer=1 x=300 y=50 width=500 height=500 name="goal" canvas="goalCanvas"]

[iscript]
var canvas = document.getElementById("goalCanvas");
var c = canvas.getContext("2d");

c.save();
c.fillStyle=f.LightState.IRO1;
c.font = "bold 200px makinas";
c.globalAlpha = 0.5;
c.fillText(f.LightState.KATACHI,90,270);
c.restore();

c.save();
c.fillStyle=f.LightState.IRO1;
c.font = "bold 200px makinas";
c.globalAlpha = 0.5;
c.fillText(f.LightState.KATACHI,220,340);
c.restore();

c.save();
c.fillStyle=f.LightState.IRO2;
c.font = "bold 200px makinas";
c.globalAlpha = 0.5;
c.fillText(f.LightState.KATACHI,220,270);
c.restore();

c.save();
c.fillStyle=f.LightState.IRO2;
c.font = "bold 200px makinas";
c.globalAlpha = 0.5;
c.fillText(f.LightState.KATACHI,90,340);
c.restore();

c.save();
c.fillStyle=f.LightState.IRO3;
c.font = "bold 200px makinas";
c.globalAlpha = 0.5;
c.fillText(f.LightState.KATACHI,150,360);
c.restore();

c.save();
c.fillStyle=f.LightState.IRO3;
c.font = "bold 200px makinas";
c.globalAlpha = 0.5;
c.fillText(f.LightState.KATACHI,150,280);
c.restore();

c.save();
c.fillStyle="white";
c.font = "bold 150px makinas";
c.globalAlpha = 0.9;
c.fillText(f.LightState.KATACHI,175,300);
c.restore();

[endscript]

[anim name="goal" opacity=230 time=1000]

;クリア処理
[eval exp="sf.clearCount++"]
[eval exp="sf.tankoSave=false"]

;セルラとの会話
[mesOpen]

[Part_me_s][Part_kuti_s][M_runrun]
[celula]
看，[emb exp="sf.pName"]！！[r]
找到光了！！[p]

[Part_me][M_unazuku]
[celula]
好，从这里回到原来的世界吧！！[p]

[M_runrun]
[celula]
好好生活！[r]
[emb exp="sf.pName"]！！[p]

[mesClose]

[anim layer=1 opacity=0 time=500]
[anim layer=0 opacity=0 time=500]
[wait time=600]

[freeimage layer=1]
[freeimage layer=0]

;リザルト画面
[ptext layer="1" text="通关" x=0 y=150 size=40 color="white" name="result" width=1280 align="center"]

[ptext layer="1" text="&'回合数　　　：' + f.turnCount" x=440 y=150 size=30 color="white" name="opa0,turnss" width=600 align="left"]
[ptext layer="1" text="&'剩余体力　　　：' + f.hp" x=440 y=210 size=30 color="white" name="opa0,hpss" width=600 align="left"]
[ptext layer="1" text="&'获得金钱：' + f.thisPoint" x=440 y=270 size=30 color="white" name="opa0,pointss" width=600 align="left"]

[anim layer=1 name="turnss" top=250 time=200 opacity=255]
[anim layer=1 name="hpss" top=310 time=200 opacity=255]
[anim layer=1 name="pointss" top=370 time=200 opacity=255]
[anim layer=1 name="result" opacity=255 time=200]

[p]

;スコア計算
[iscript]
	tf.getPoint = f.hp*2;
	tf.getPoint += f.thisPoint*2;
	tf.getPoint -= f.turnCount*5;
[endscript]

[ptext layer="1" text="&'分数　' + tf.getPoint" x=0 y=370 size=35 color="white" name="opa0,score" width=1280 align="center"]
[if exp="tf.getPoint > sf.highscore"]
	[ptext layer="1" text="更新最高分记录！" x=650 y=420 size=22 color="white" name="opa0,highscore" width=200 align="center"]
	[eval exp="sf.highscore = tf.getPoint"]
[endif]

[eval exp="tf.hanyouA = 100"]

;評価表示
[if exp="tf.getPoint >= 5000"]
	[ptext layer="1" text="神级！" x=430 y=420 size=22 color="0x000000" name="opa0,scoremes" width=200 align="center"]
	[eval exp="tf.hanyouA += 400"]
[elsif exp="tf.getPoint >= 2000"]
	[ptext layer="1" text="超厉害！" x=430 y=420 size=22 color="0x000000" name="opa0,scoremes" width=200 align="center"]
	[eval exp="tf.hanyouA += 300"]
[elsif exp="tf.getPoint >= 1000"]
	[ptext layer="1" text="厉害！" x=430 y=420 size=22 color="0x000000" name="opa0,scoremes" width=200 align="center"]
	[eval exp="tf.hanyouA += 200"]
[elsif exp="tf.getPoint >= 200"]
	[ptext layer="1" text="不错！" x=430 y=420 size=22 color="0x000000" name="opa0,scoremes" width=200 align="center"]
	[eval exp="tf.hanyouA += 100"]
[endif]

[eval exp="sf.point += tf.hanyouA"]
[ptext layer="1" text="&'作为通关奖励，得到金钱　' + tf.hanyouA + '　！'" x=340 y=520 size=22 color="white" name="opa0,bonasu" width=600 align="center"]

[anim name="score" top=470 time=200 opacity=255]
[anim name="scoremes" top=520 time=200 opacity=255]
[anim name="highscore" top=520 time=200 opacity=255]
[anim name="bonasu" top=620 time=200 opacity=255]

[button graphic="null.png" target="*back" name="backButton" x="0" y="0" width=1280 height=720]
[button graphic="icon/back.png" target="*back" name="backButton" x="50" y="600" enterimg="icon/back2.png" clickimg="icon/back2.png"]

[s]

*back
[cm]
[bgmStop time=500]
[seStop time=200]
[anim name="opa0" opacity=0 time=500]
[anim name="result" opacity=0 time=500]
[wait time=800]

[freeimage layer=1]
[freeimage layer=0]
[layopt layer=1 opacity=255]
[layopt layer=0 opacity=255]

[eval exp="tf.clickse = false"]
[jump storage="first.ks"]
[s]