;マクロ定義１
;キーアニメ定義
[keyframe name="stateDown"]
	[frame p=30% opacity=255]
	[frame p=90% opacity=0 y="+10"]
	[frame p=100% y="0"]
[endkeyframe]

[keyframe name="stateUP"]
	[frame p=30% opacity=255]
	[frame p=90% opacity=0 y="-10"]
	[frame p=100% y="0"]
[endkeyframe]

[keyframe name="kurukuru"]
	[frame p=0% rotate="0deg"]
	[frame p=50% rotate="360deg"]
	[frame p=100% rotate="0deg"]
[endkeyframe]

[keyframe name="punipuni"]
	[frame p=0% scale="1"]
	[frame p=50% scale="1.1"]
	[frame p=100% scale="1"]
[endkeyframe]

[keyframe name="migikougeki"]
	[frame p=0% scale="1" x="0"]
	[frame p=50% scale="2" x="300"]
	[frame p=100% scale="1" x="0"]
[endkeyframe]

[keyframe name="gatya"]
	[frame p=0% rotate="0deg"]
	[frame p=25% rotate="15deg"]
	[frame p=50% rotate="0deg"]
	[frame p=75% rotate="-15deg"]
	[frame p=100% rotate="0deg"]
[endkeyframe]

;メッセージウィンドウを表示
[macro name="mesOpen"]
	[cm]
	[position layer="message0" width=640 height=180 left=290 top=450 frame="mes.png" marginl=30 marginr=30 margint=15 marginb=60 opacity=0]
	[layopt layer="message0" visible=true]
	[button graphic="icon/mes_log.png" name="mes_icon" x=830 y=640 fix=true role="backlog" enterimg="icon/mes_log2.png" clickimg="icon/mes_log2.png"]
	[button graphic="icon/mes_skip.png" name="mes_icon" x=880 y=640 fix=true role="skip" enterimg="icon/mes_skip2.png" clickimg="icon/mes_skip2.png"]
	[anim layer="message0" opacity=255 time=200]
	[wait time=200]
	
[endmacro]

;メッセージウィンドウを削除
[macro name="mesClose"]
	[clearfix name="mes_icon"]
	[anim layer="message0" opacity=0 time=200]
	[wait time=200]
	[layopt layer="message0" visible=false]
[endmacro]

;ステータス表示
[macro name="stateView"]
	[if exp="f.oldHP>f.hp"]
		[ptext name="stateMove" text="&'－ '+(f.oldHP-f.hp)" layer=1 x=230 y=40 size=23 color="0xffffff" overwrite=true]
		[kanim name="stateMove" keyframe="stateDown" time=3000]
	[endif]
	[if exp="f.oldHP<f.hp"]
		[ptext name="stateMove" text="&'＋ '+(f.hp-f.oldHP)" layer=1 x=230 y=40 size=23 color="0xffffff" overwrite=true]
		[kanim name="stateMove" keyframe="stateUP" time=3000]
	[endif]
	[if exp="f.oldPOINT>sf.point"]
		[ptext name="stateMove2" text="&'－ '+(f.oldPOINT-sf.point)" layer=1 x=230 y=80 size=23 color="0xffffff" overwrite=true]
		[kanim name="stateMove2" keyframe="stateDown" time=3000]
	[endif]
	[if exp="f.oldPOINT<sf.point"]
		[eval exp="f.thisPoint+=(sf.point-f.oldPOINT)"]
		[ptext name="stateMove2" text="&'＋ '+(sf.point-f.oldPOINT)" layer=1 x=230 y=80 size=23 color="0xffffff" overwrite=true]
		[kanim name="stateMove2" keyframe="stateUP" time=3000]
	[endif]
	
	[ptext name="state" text="&'体力：'+f.hp+'<br>金钱：'+sf.point" layer=1 x=70 y=50 size=25 color="0xd1d1d1" overwrite=true]
	
	[eval exp="f.oldHP = f.hp"]
	[eval exp="f.oldPOINT = sf.point"]
[endmacro]

;セルラの名前表示
[macro name="celula"]
	[nowait][font bold=true]
	[pushlog text="------------------------------"]◆ 瑟尔拉[pushlog text="："][r][resetfont]
	[endnowait]
[endmacro]

;プレイヤーセリフ表示のとき
[macro name="player"]
	[nowait][font color="0x000000"]
	[pushlog text="------------------------------"]■ [emb exp="sf.pName"][pushlog text="：""][r][resetfont]
	[endnowait]
[endmacro]

;人物Ａの名前表示
[macro name="personA"]
	[nowait][font bold=true]
	[pushlog text="------------------------------"]● [emb exp="f.pA"][pushlog text="："][r][resetfont]
	[endnowait]
[endmacro]

;方向判断
[macro name="C_houkou"]
	[iscript]
		if(f.now.x>f.x[f.LP]){
			tf.houkouX = "左";
		}else if(f.now.x<f.x[f.LP]){
			tf.houkouX = "右";
		}else{
			tf.houkouX = "";
		}
		
		if(f.now.y>f.y[f.LP]){
			tf.houkouY = "上";
		}else if(f.now.y<f.y[f.LP]){
			tf.houkouY = "下";
		}else{
			tf.houkouY = "";
		}
		
		tf.houkou = tf.houkouX + tf.houkouY;
	[endscript]
[endmacro]

;距離判断
[macro name="C_kyori"]
	[iscript]
		tf.kyoriX = Math.abs(f.x[f.LP]-f.now.x);
		tf.kyoriY = Math.abs(f.y[f.LP]-f.now.y);
		tf.kyori = tf.kyoriX + tf.kyoriY;
		
		if(tf.kyori == 1){
			tf.about = "非常近";
		}else if(tf.kyori == 2){
			tf.about = "很近";
		}else if(tf.kyori <= 3){
			tf.about = "挺近的";
		}else if(tf.kyori <= 4){
			tf.about = "近";
		}else if(tf.kyori <= 5){
			tf.about = "还算近";
		}else if(tf.kyori <= 6){
			tf.about = "不远不近";
		}else if(tf.kyori <= 7){
			tf.about = "还算远";
		}else if(tf.kyori <= 8){
			tf.about = "远";
		}else if(tf.kyori <= 9){
			tf.about = "挺远的";
		}else if(tf.kyori <= 10){
			tf.about = "很远";
		}else {
			tf.about = "非常远";
		}
	[endscript]
[endmacro]

;色判断
[macro name="C_iro"]
	[iscript]
		tf.iro1 = "";
		tf.iro2 = "";
		tf.iro3 = "";
		tf.iro = "";
		switch(f.LightState.IRO1){
			case "blue": tf.iro1 = "蓝色";break;
			case "blueviolet": tf.iro1 = "紫色";break;
			case "crimson": tf.iro1 = "红色";break;
			case "orangered": tf.iro1 = "橙色";break;
			case "gold": tf.iro1 = "黄色";break;
			case "forestgreen": tf.iro1 = "绿色";break;
			case "deepskyblue": tf.iro1 = "水蓝";break;
		}
		
		switch(f.LightState.IRO2){
			case "royalblue": tf.iro2 = "蓝色";break;
			case "mediumorchid": tf.iro2 = "紫色";break;
			case "violet": tf.iro2 = "粉色";break;
			case "orange": tf.iro2 = "橙色";break;
			case "khaki": tf.iro2 = "黄色";break;
			case "palegreen": tf.iro2 = "绿色";break;
			case "aqua": tf.iro2 = "水蓝";break;
		}
		
		switch(f.LightState.IRO3){
			case "mediumblue": tf.iro3 = "蓝色";break;
			case "darkorchid": tf.iro3 = "紫色";break;
			case "deeppink": tf.iro3 = "粉色";break;
			case "tomato": tf.iro3 = "橙色";break;
			case "yellow": tf.iro3 = "黄色";break;
			case "chartreuse": tf.iro3 = "绿色";break;
			case "turquoise": tf.iro3 = "水蓝";break;
		}
		
		if(tf.iro1 == tf.iro2 && tf.iro3 == tf.iro1){
			tf.iro = tf.iro1;
		}else if(tf.iro1 == tf.iro2 && tf.iro3 != tf.iro1){
			tf.iro = tf.iro1 + "和" + tf.iro3;
		}else if(tf.iro1 == tf.iro3 && tf.iro2 != tf.iro1){
			tf.iro = tf.iro1 + "和" + tf.iro2;
		}else if(tf.iro2 == tf.iro3 && tf.iro2 != tf.iro1){
			tf.iro = tf.iro1 + "和" + tf.iro2;
		}else{
			tf.iro = tf.iro1 + "和" + tf.iro2 + "和" + tf.iro3;
		}
	[endscript]
[endmacro]

;イベント終了後の共通処理
[macro name="eventEnd"]
	[eval exp="f.event='OFF'"]
	[mesClose]
	[Part_me]
	[Part_kuti_s]
	[M_taiki]
	[jump storage="main.ks" target="*main_view"]
[endmacro]

;アイテム削除
[macro name="itemDel"]
	[iscript]
		for(var i=tf.select; i<sf.item.length-1; i++){
			sf.item[i].name = sf.item[i+1].name;
			sf.item[i].src = sf.item[i+1].src;
		}
		sf.item.pop();
	[endscript]
[endmacro]

;アイテムゲット
[macro name="itemGet"]
	[seStart storage="itemget.ogg"]
	[iscript]
		var item = f.get;
		sf.item.push({"name":item,"src":f.itemlist[item].src});
		sf.zukan[item] = true;
	[endscript]
[endmacro]


;周りのマスのチェック
[macro name="C_mawari"]
	[iscript]
	var now = f.now.no;
	var dangerLevel = 0;
	tf.wana = "";
	
	var T = now - 15;
	if(T<0){T+=225;}
	var Tcon = f.con[T];
	
	var B = now + 15;
	if(B>224){B-=225;}
	var Bcon = f.con[B];
	
	var R = now + 1;
	if((now+1)%15==0){R = now-14;}
	var Rcon = f.con[R];
	
	var L = now - 1;
	if(now%15==0){L = now+14;}
	var Lcon = f.con[L];
	
	if(Tcon.charAt(0) == "T" && f.log[T]==0){
		tf.ue = "麻烦";
		if(tf.wana != ""){
			tf.wana += "和上";
		}else{
			tf.wana += "上";
		}
	}else if(Tcon.charAt(0) == "S" && f.log[T]==0){
		tf.ue = "遭遇";
	}else if(Tcon.charAt(0) == "H" && f.log[T]==0){
		tf.ue = "发现";
	}else{
		tf.ue = "没有";
	}
	
	if(Bcon.charAt(0) == "T" && f.log[B]==0){
		tf.sita = "麻烦";
		if(tf.wana != ""){
			tf.wana += "和下";
		}else{
			tf.wana += "下";
		}
	}else if(Bcon.charAt(0) == "S" && f.log[B]==0){
		tf.sita = "遭遇";
	}else if(Bcon.charAt(0) == "H" && f.log[B]==0){
		tf.sita = "发现";
	}else{
		tf.sita = "没有";
	}
	
	if(Rcon.charAt(0) == "T" && f.log[R]==0){
		tf.migi = "麻烦";
		if(tf.wana != ""){
			tf.wana += "和右";
		}else{
			tf.wana += "右";
		}
	}else if(Rcon.charAt(0) == "S" && f.log[R]==0){
		tf.migi = "遭遇";
	}else if(Rcon.charAt(0) == "H" && f.log[R]==0){
		tf.migi = "发现";
	}else{
		tf.migi = "没有";
	}
	
	if(Lcon.charAt(0) == "T" && f.log[L]==0){
		tf.hidari = "麻烦";
		if(tf.wana != ""){
			tf.wana += "和左";
		}else{
			tf.wana += "左";
		}
	}else if(Lcon.charAt(0) == "S" && f.log[L]==0){
		tf.hidari = "遭遇";
	}else if(Lcon.charAt(0) == "H" && f.log[L]==0){
		tf.hidari = "发现";
	}else{
		tf.hidari = "没有";
	}
	
	if(f.log[T]!=0){tf.ue = "没有";}
	if(f.log[B]!=0){tf.sita = "没有";}
	if(f.log[R]!=0){tf.migi = "没有";}
	if(f.log[L]!=0){tf.hidari = "没有";}
	
	if(tf.ue == "麻烦"){ dangerLevel += 1;}
	if(tf.sita == "麻烦"){ dangerLevel += 1;}
	if(tf.migi == "麻烦"){ dangerLevel += 1;}
	if(tf.hidari == "麻烦"){ dangerLevel += 1;}
	
	if(tf.wana == ""){tf.wana = "无";}
	
	if(dangerLevel==0){
		tf.safe = "都很安全";
	}else if(dangerLevel==1){
		tf.safe = "有点危险";
	}else if(dangerLevel==2){
		tf.safe = "比较危险";
	}else if(dangerLevel==3){
		tf.safe = "相当危险";
	}else if(dangerLevel==4){
		tf.safe = "都很危险";
	}
	
	[endscript]
[endmacro]

[macro name="N_iro"]
	[iscript]
		var ran = Math.floor(Math.random()*8);
		switch(ran){
			case 0: tf.iroN = "蓝色";break;
			case 1: tf.iroN = "紫色";break;
			case 2: tf.iroN = "红色";break;
			case 3: tf.iroN = "橙色";break;
			case 4: tf.iroN = "黄色";break;
			case 5: tf.iroN = "绿色";break;
			case 6: tf.iroN = "水蓝";break;
			default: tf.iroN = "粉色";
		}
		
		while(tf.iroN==tf.iro1 || tf.iroN==tf.iro2 || tf.iroN==tf.iro3){
			var ran2 = Math.floor(Math.random()*8);
			switch(ran2){
				case 0: tf.iroN = "蓝色";break;
				case 1: tf.iroN = "紫色";break;
				case 2: tf.iroN = "红色";break;
				case 3: tf.iroN = "橙色";break;
				case 4: tf.iroN = "黄色";break;
				case 5: tf.iroN = "绿色";break;
				case 6: tf.iroN = "水蓝";break;
				default: tf.iroN = "粉色";
			}
		}
		
		var ran3 = Math.floor(Math.random()*2);
		if(ran3 == 1){
			tf.iroA = tf.iroN;
			tf.iroB = tf.iro1;
			tf.iroOK = "B";
		}else{
			tf.iroA = tf.iro1;
			tf.iroB = tf.iroN;
			tf.iroOK = "A";
		}
	[endscript]
[endmacro]

[macro name="N_houkou"]
	[iscript]
		var hairetu = ["右","左","上","下","右上","右下","左上","左下"]
		var ran = Math.floor(Math.random()*8);
		
		tf.houkouN = hairetu[ran];
		
		while(tf.houkouN == tf.houkou){
			var hairetu = ["右","左","上","下","右上","右下","左上","左下"]
			var ran = Math.floor(Math.random()*8);
			
			tf.houkouN = hairetu[ran];
		}
		
	[endscript]
[endmacro]

;周りの麻烦マスの無効化
[macro name="Del_T"]
	[iscript]
	var now = f.now.no;
	
	var T = now - 15;
	if(T<0){T+=225;}
	var Tcon = f.con[T];
	
	var B = now + 15;
	if(B>224){B-=225;}
	var Bcon = f.con[B];
	
	var R = now + 1;
	if((now+1)%15==0){R = now-14;}
	var Rcon = f.con[R];
	
	var L = now - 1;
	if(now%15==0){L = now+14;}
	var Lcon = f.con[L];
	
	if(Tcon.charAt(0) == "T" && f.log[T]==0){
		f.con[T] = "无";
	}
	
	if(Bcon.charAt(0) == "T" && f.log[B]==0){
		f.con[B] = "无";
	}
	
	if(Rcon.charAt(0) == "T" && f.log[R]==0){
		f.con[R] = "无";
	}
	
	if(Lcon.charAt(0) == "T" && f.log[L]==0){
		f.con[L] = "无";
	}
	[endscript]
[endmacro]

;偽の音作成
[macro name="N_oto"]
	[iscript]
		var hairetu = ["鸟鸣","雨","蝉鸣","风","上课铃","电车","港口","城镇"];
		var ran = Math.floor(Math.random()*8);
		tf.otoN = hairetu[ran];
		
		while(tf.otoN == f.LightState.OTO){
			var hairetu = ["鸟鸣","雨","蝉鸣","风","上课铃","电车","港口","城镇"];
			var ran = Math.floor(Math.random()*8);
			tf.otoN = hairetu[ran];
		}
		
		var ran2 = Math.floor(Math.random()*2);
		if (ran2 == 1){
			tf.otoA = f.LightState.OTO;
			tf.otoB = tf.otoN;
			tf.otoOK = "A";
		}else{
			tf.otoB = f.LightState.OTO;
			tf.otoA = tf.otoN;
			tf.otoOK = "B";
		}
		
	[endscript]
[endmacro]

;偽の匂い作成
[macro name="N_nioi"]
	[iscript]
		var hairetu = ["草原","海洋","花香","早饭","旧屋","田园","晚饭","温泉","山林","沙漠"];
		var ran = Math.floor(Math.random()*10);
		tf.nioiN = hairetu[ran];
		
		while(tf.nioiN == f.LightState.NIOI){
			var hairetu = ["草原","海洋","花香","早饭","旧屋","田园","晚饭","温泉","山林","沙漠"];
			var ran = Math.floor(Math.random()*10);
			tf.nioiN = hairetu[ran];
		}
		
		var ran2 = Math.floor(Math.random()*2);
		if (ran2 == 1){
			tf.nioiA = f.LightState.NIOI;
			tf.nioiB = tf.nioiN;
			tf.nioiOK = "A";
		}else{
			tf.nioiB = f.LightState.NIOI;
			tf.nioiA = tf.nioiN;
			tf.nioiOK = "B";
		}
		
	[endscript]
[endmacro]

[return]