;質問を終え、ゲームスタート
*gamestart

[call storage="prepare.ks"]
[call storage="itemlist.ks"]

[start_keyconfig]

[freeimage layer=0][freeimage layer=1]
[layopt layer="1" visible=true]

[if exp="sf.mainStory == 10 && sf.clearCount >= 2"]
	[call storage="story/2.ks" target="*story10"]
[elsif exp="sf.mainStory == 20 && sf.clearCount >= 4"]
	[call storage="story/3.ks" target="*story20"]
[elsif exp="sf.mainStory == 30 && sf.clearCount >= 6"]
	[call storage="story/4.ks" target="*story30"]
[elsif exp="sf.mainStory == 40 && sf.clearCount >= 7"]
	[call storage="story/5.ks" target="*story40"]
[elsif exp="sf.mainStory == 50 && sf.clearCount >= 8"]
	[jump storage="story/6.ks" target="*story50"]
[endif]

[stateView]

[PRI_canvas_set layer=1 width=500 height=720 name="charaCanvas" left=830 top=0 opacity=0]
[PRI_priani_load json="&'plugin/priani_plugin/json/'+sf.nowCelula+'.json'"]
[Part_set]
[PRI_chara_show priani_id="taiki" chara="celula"]
[anim name="charaCanvas" opacity=255 time=500]
[wait time=500]

[mesOpen]

[if exp="sf.mainStory == 0"]
	[call storage="story/1.ks"]
[elsif exp="sf.mainStory == 15"]
	[call storage="story/2.ks" target="*story15"]
[elsif exp="sf.mainStory == 25"]
	[call storage="story/3.ks" target="*story25"]
[elsif exp="sf.mainStory == 35"]
	[call storage="story/4.ks" target="*story35"]
[elsif exp="sf.mainStory == 45"]
	[call storage="story/5.ks" target="*story45"]
[elsif exp="sf.mainStory == 60"]
	[call storage="story/7.ks"]
[else]
	[call storage="talk/0.ks"]
[endif]

[mesClose]
[eval exp="f.event = 'OFF'"]

;メイン画面
*main_view
[bgmStart storage="&sf.selectBGM" cond="f.nowBGM != 'selectBGM'"]
[eval exp="f.nowBGM = 'selectBGM'"]

[clearstack]
[cancelskip]
[cm]
[stateView]

[call storage="mobdel.ks"]

[jump storage="goal.ks" cond="f.now.no==f.LightPos.C"]
[jump storage="gameover.ks" cond="f.hp<=0"]

[jump storage="event.ks" cond="f.event=='ON'"]

[autosave][eval exp="sf.tankoSave=true"]
[anim name="stateMove" opacity=0 time=500]
[anim name="stateMove2" opacity=0 time=500]
[anim name="charaCanvas" top=0 time=100]

[eval exp="f.way = '未入力'"]
[button graphic="icon/item.png" target="*item" x="&f.UI.iconX[0]" y="&f.UI.iconY" width="&f.UI.iconSize" height="&f.UI.iconSize" clickimg="icon/item2.png" enterimg="icon/item2.png" exp="tf.clickse = true"]
[button graphic="icon/map.png" target="*map" x="&f.UI.iconX[1]" y="&f.UI.iconY" width="&f.UI.iconSize" height="&f.UI.iconSize" clickimg="icon/map2.png" enterimg="icon/map2.png" exp="tf.clickse = true"]
[button graphic="icon/log.png" target="*log" x="&f.UI.iconX[2]" y="&f.UI.iconY" width="&f.UI.iconSize" height="&f.UI.iconSize" clickimg="icon/log2.png" enterimg="icon/log2.png" exp="tf.clickse = true"]
[button graphic="icon/option.png" target="*option" x="&f.UI.iconX[3]" y="&f.UI.iconY" width="&f.UI.iconSize" height="&f.UI.iconSize" clickimg="icon/option2.png" enterimg="icon/option2.png" exp="tf.clickse = true"]

;[glink storage="talk.ks" target="*oldtalk" text="查看动画" x=50 y=200]
;[glink target="*main_view" exp="f.hp -= 10" text="减少体力" x=50 y=260]
;[glink storage="goal.ks" text="终点" x=50 y=380]
;[glink exp="alert(f.con[97] + f.con[111] + f.con[113] + f.con[127]);" text="检测" x=50 y=380]

[button graphic="null.png" target="*talk" name="talkButton" width="&f.UI.talkW" height="&f.UI.talkH" x="&f.UI.talkX" y="&f.UI.talkY"]
[button graphic="go_t.png" target="*go" name="goButton" x="&f.UI.goX[0]" y="&f.UI.goY[0]" exp="f.way='上'" clickimg="go_t2.png" enterimg="go_t2.png"]
[button graphic="go_b.png" target="*go" name="goButton" x="&f.UI.goX[1]" y="&f.UI.goY[1]" exp="f.way='下'" clickimg="go_b2.png" enterimg="go_b2.png"]
[button graphic="go_r.png" target="*go" name="goButton" x="&f.UI.goX[2]" y="&f.UI.goY[2]" exp="f.way='右'" clickimg="go_r2.png" enterimg="go_r2.png"]
[button graphic="go_l.png" target="*go" name="goButton" x="&f.UI.goX[3]" y="&f.UI.goY[3]" exp="f.way='左'" clickimg="go_l2.png" enterimg="go_l2.png"]

[anim name="goButton" opacity=255 time=200]

[s]

;アイテム表示
*item
[seStart storage="ok.ogg"]
[jump storage="item.ks"]
[s]

;マップ表示
*map
[seStart storage="ok.ogg"]
[call storage="map.ks"]
[jump target="*main_view"]
[s]

;ログ表示
*log
[seStart storage="ok.ogg"]
[showlog]
[jump target="*main_view"]
[s]

;オプション表示
*option
[eval exp="tf.option = 'game'"]
[call storage="option.ks"]
[jump target="*main_view"]
[s]

;タイトルに戻る
*back
[jump storage="first.ks"]
[s]

;セルラとの会話
*talk
[jump storage="talk.ks"]
[s]

;移動
*go
[eval exp="f.turnCount += 1"]

[seStart storage="move.ogg"]

[if exp="f.way=='上'"]
	[image layer=1 name="goButton2" storage="go_t2.png" folder="image" x="&f.UI.goX[0]" y="&f.UI.goY[0]"]
	[image layer=1 name="goEffect" storage="effect/move2.png" x="0" y="-300"]
	
	[anim name="goButton" opacity=0 time=200]
	[anim name="goButton2" left="&f.UI.goX[0]-100" top="&f.UI.goY[0]-400" opacity=0 time=500 width=300 height=300]
	[anim name="goEffect" top="720" opacity=0 time=500]

[elsif exp="f.way=='下'"]
	[image layer=1 name="goButton2" storage="go_b2.png" folder="image" x="&f.UI.goX[1]" y="&f.UI.goY[1]"]
	[image layer=1 name="goEffect" storage="effect/move1.png" x="0" y="720"]
	
	[anim name="goButton" opacity=0 time=200]
	[anim name="goButton2" left="&f.UI.goX[1]-100" top="&f.UI.goY[1]+300" opacity=0 time=500 width=300 height=300]
	[anim name="goEffect" top="-300" opacity=0 time=500]

[elsif exp="f.way=='右'"]
	[image layer=1 name="goButton2" storage="go_r2.png" folder="image" x="&f.UI.goX[2]" y="&f.UI.goY[2]"]
	[image layer=1 name="goEffect" storage="effect/move3.png" x="1280" y="0"]
	
	[anim name="goButton" opacity=0 time=200]
	[anim name="goButton2" left="&f.UI.goX[2]+300" top="&f.UI.goY[2]-100" opacity=0 time=500 width=300 height=300]
	[anim name="goEffect" left="-300" opacity=0 time=500]

[elsif exp="f.way=='左'"]
	[image layer=1 name="goButton2" storage="go_l2.png" folder="image" x="&f.UI.goX[3]" y="&f.UI.goY[3]"]
	[image layer=1 name="goEffect" storage="effect/move4.png" x="-300" y="0"]
	
	[anim name="goButton" opacity=0 time=200]
	[anim name="goButton2" left="&f.UI.goX[3]-400" top="&f.UI.goY[3]-100" opacity=0 time=500 width=300 height=300]
	[anim name="goEffect" left="1280" opacity=0 time=500]

[endif]

[wait time=700]

[free layer=1 name="goButton2"]
[free layer=1 name="goEffect"]


[iscript]
if(f.way=="上"){
f.now.y--;
if(f.now.no<=14){f.now.no+=210;}else{f.now.no-=15;}
}else if(f.way=="下"){
f.now.y++;
if(f.now.no>=210){f.now.no-=210;}else{f.now.no+=15;}
}else if(f.way=="右"){
f.now.x++;
if((f.now.no+1)%15==0){f.now.no-=14;}else{f.now.no++;}
}else if(f.way=="左"){
f.now.x--;
if(f.now.no%15==0){f.now.no+=14;}else{f.now.no--;}
}

if(f.now.x>15){f.now.x=1;}
if(f.now.x<1){f.now.x=15;}

if(f.now.y>15){f.now.y=1;}
if(f.now.y<1){f.now.y=15;}

f.log[f.now.no]+=1;

f.hp -= 5;
if(f.hp<0){f.hp=0;}

f.event = "ON";

var uekicheck = JSON.stringify(sf.item);
if(uekicheck.indexOf("移动花盆")!=-1){
	sf.ueki.no += 1;
}
[endscript]
[jump target="*main_view"]
[s]