;マップ表示
[cm]
[ptext layer=1 name="maptitle" text="地图" width="1280" x="0" y="20" color="white" size=40 align="center"]

[PRI_canvas_set layer=0 width=525 height=525 name="map" canvas="mapCanvas" x=370 y=100]

[iscript]
var canvas = document.getElementById("mapCanvas");
var c = canvas.getContext("2d");

var hintPic = new Image();
hintPic.src = "data/image/map/hint.png";

hintPic.onload = function(){
	for(var i=0; i<255; i++){
		c.save();
		c.fillStyle="rgba(30,30,30,1)";
		c.strokeStyle="white";
		c.fillRect(f.x[i]*35-35,f.y[i]*35-35,35,35);
		c.strokeRect(f.x[i]*35-35,f.y[i]*35-35,35,35);
		
		if(f.log[i]>=1){
			c.fillStyle="rgba(154,175,183,1)"
			c.strokeStyle="white";
			c.fillRect(f.x[i]*35-35,f.y[i]*35-35,35,35);
			c.strokeRect(f.x[i]*35-35,f.y[i]*35-35,35,35);
		}
		
		if(f.con[i]=="H0" || f.con[i]=="H1" || f.con[i]=="H3" || f.con[i]=="H4" || f.con[i]=="H6" || f.con[i]=="H9" || f.con[i]=="H11" || f.con[i]=="H12" || f.con[i]=="H14" || f.con[i]=="H15" || f.con[i]=="H16" || f.con[i]=="H17" || f.con[i]=="H18" || f.con[i]=="H19" || f.con[i]=="H27" || f.con[i]=="H28" || f.con[i]=="H29" || f.con[i]=="H34" || f.con[i]=="H35" || f.con[i]=="H36" || f.con[i]=="H39"){
			if(f.log[i]<1){
				c.drawImage(hintPic,f.x[i]*35-35,f.y[i]*35-35);
			}
		}
		
		c.restore();
	}
	
	var nowPic = new Image();
	nowPic.src = "data/image/map/now.png";
	
	nowPic.onload = function(){
		c.save();
		c.drawImage(nowPic,f.now.x*35-35,f.now.y*35-35)
		c.restore();
	};
	
};

tf.hanyouA = "<img src='data/image/map/now.png'>";
tf.hanyouB = "<img src='data/image/map/hint.png'>";

[endscript]

[C_iro]

[ptext text="&tf.hanyouA +'现在位置<br>' + tf.hanyouB + '有提示的地点'" color="0x8e8e8e" layer=1 name="memo" size=24 x=40 y=200]

[ptext text="光的颜色：" layer=1 name="memo" size=24 x=50 y=350]
[ptext text="&tf.iro" layer=1 name="memo" size=24 x=80 y=380 cond="f.knowInfo.iro == true"]
[ptext text="不明" layer=1 name="memo" color="0x8e8e8e" size=24 x=80 y=380 cond="f.knowInfo.iro != true"]

[ptext text="光的声音：" layer=1 name="memo" size=24 x=50 y=420]
[ptext text="&f.LightState.OTO + '声'" layer=1 name="memo" size=24 x=80 y=450 cond="f.knowInfo.oto == true"]
[ptext text="不明" layer=1 name="memo" color="0x8e8e8e" size=24 x=80 y=450 cond="f.knowInfo.oto != true"]

[ptext text="光的气味：" layer=1 name="memo" size=24 x=50 y=490]
[ptext text="&f.LightState.NIOI + '味'" layer=1 name="memo" size=24 x=80 y=520 cond="f.knowInfo.nioi == true"]
[ptext text="不明" layer=1 name="memo" color="0x8e8e8e" size=24 x=80 y=520 cond="f.knowInfo.nioi != true"]


[anim name="map" opacity=255 time=200]

[button graphic="icon/back.png" target="*back" name="backButton" x="&f.UI.iconX[0]" y="&f.UI.iconY" enterimg="icon/back2.png" clickimg="icon/back2.png"]

[s]


*back
[free layer=0 name="map"]
[free layer=1 name="memo"]
[free layer=1 name="maptitle"]

[return]