*sfvarset
;タイトル画面表示時とリセット時にコールされる、システム変数設定サブルーチン

;初回起動時のsf変数初期設定
[if exp="sf.startCount==null"]
	;バージョン情報
	[eval exp="sf.gameVer = 1.02"]
	
	;起動回数
	[eval exp="sf.startCount=0"]
	
	;質問ステータス記録
	[eval exp="sf.askLog={"MAE":0,"USIRO":0,"SEKYO":0,"SYOKYO":0,"NORI":0,"KABE":0,"ITAMI":0,"KOUGEKI":0,"MIRAI":0}"]
	
	;質問入力回数
	[eval exp="sf.askCount=0"]
	
	;クリア回数
	[eval exp="sf.clearCount=0"]
	
	;プレイヤーの名前「sf.pName」
	[eval exp="sf.pName=''"]
	
	;所持ポイント「sf.point」
	[eval exp="sf.point=0"]
	
	;アイテム用「sf.item」
	[eval exp="sf.item=[]"]
	[iscript]
		sf.item=[

		
		];
	[endscript]
	
	;現在のセルラのタイプ
	[eval exp="sf.nowCelula=''"]
	[iscript]
		var ran = Math.floor(Math.random()*5);
		switch(ran){
			case 0: sf.nowCelula = "hito";break;
			case 1: sf.nowCelula = "kemono";break;
			case 2: sf.nowCelula = "robo";break;
			case 3: sf.nowCelula = "yasai";break;
			case 4: sf.nowCelula = "buttai";break;
		}
	[endscript]
	
	;現在のセルラのパーツ番号
	[eval exp="sf.nowPart={}"]
	[iscript]
		sf.nowPart = {
			"hito":[0,0,0,0,0,0,0,0,0,0],
			"kemono":[1,0,0,0,0,1,1,1,1,0],
			"robo":[0,0,0,0,0,1],
			"yasai":[0,0,0,1,1,1],
			"buttai":[0,1,1]
		};
	[endscript]
	
	;各登場人物との遭遇回数
	[eval exp="sf.encountCount={}"]
	[iscript]
		sf.encountCount = {
			"utyuneko":0,
			"tori":0,
			"gyosyorobo":0,
			"ramenya":0,
			"kakigori":0,
			"uranai":0,
			"okasi":0,
			"ryouri":0,
			"koutei":0,
			"kage":0,
			"oni":0,
			"kusa":0,
			"senpu":0,
			"oriduru":0,
			"katatu":0
		};
	[endscript]
	
	;各イベントとの遭遇回数
	[eval exp="sf.eventCount={}"]
	[iscript]
		sf.eventCount = {
			"H" : [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
			"S" : [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0],
			"T" : [0,0,0,0,0,0,0,0,0,0,0,0,0,0,0]
		};
	[endscript]
	
	;手に入れたことのあるアイテム（アイテム図鑑用）
	[eval exp="sf.zukan={}"]
	[iscript]
		sf.zukan = {

"糖果":false,
"大蒜":false,
"水星水":false,
"彩椒":false,
"运势软糖":false,
"香蕉":false,
"土星苹果":false,
"刨冰":false,
"AI咖啡":false,
"小鱼干":false,
"清爽果汁":false,
"星星果":false,
"冰激凌":false,
"饼干波尔卡":false,
"无孔甜甜圈":false,
"怨千馒头":false,
"宇宙限定薯片":false,
"地狱砂锅豆腐":false,
"汉堡":false,
"烤鱼":false,
"弦月盖饭":false,
"彭扭力莫丘利":false,
"拉面":false,
"野生乌冬面":false,
"猛犸肉":false,
"圆白菜君":false,
"音速蛋黄酱":false,
"茄子（好男人）":false,
"会说话的布丁":false,
"饭团天使":false,
"赌博年糕":false,
"没自信的咖喱":false,
"幸福盒饭超人":false,
"超高级蛋糕":false,
"大王虾":false,
"迷你大叔":false,
"美丽外星人":false,
"兔兔机器人":false,
"音符":false,
"香蕉皮":false,
"带奖励的游戏机":false,
"移动花盆":false,
"口袋太阳":false,
"蚊香Lv100":false,
"阎魔吸尘器":false,
"走路鱼":false,
"这一带的地图":false,
"火箭海胆":false,
"炸弹布偶":false,
"好看的漫画":false,
"魔导书":false,
"某种粪便":false,
"炸虾像":false,
"蜗牛像":false,
"恐龙化石像":false,
"水蚤像":false,
"水壶像":false,
"漂流瓶":false,
"一次性电脑":false,
"道具魔法阵":false

		};
	[endscript]
	
	;オートセーブの有無
	[eval exp="sf.tankoSave=false"]
	
	;メインストーリーの進行度
	[eval exp="sf.mainStory=0"]
	
	;饼干波尔卡のシール
	[eval exp="sf.poruka = [false,false,false,false,false,false,false,false,false,false]"]
	;[eval exp="sf.poruka = [true,true,true,true,true,true,true,true,true,true]"]
	
	;ポータブル植木鉢のタイプと成長度
	[eval exp="sf.ueki = {}"]
	[iscript]
		sf.ueki = {
			"type":"none",
			"no":0
		};
	[endscript]
	
	;各登場人物への応答の記録
	[eval exp="sf.encountMemory={}"]
	[iscript]
		sf.encountMemory = {
			"utyuneko":["","","","",""],
			"tori":["","","","",""],
			"gyosyorobo":["","","","",""],
			"ramenya":["","","","",""],
			"kakigori":["","","","",""],
			"uranai":["","","","",""],
			"okasi":["","","","",""],
			"ryouri":["","","","",""],
			"koutei":["","","","",""],
			"kage":["","","","",""],
			"oni":["","","","",""],
			"kusa":["","","","",""],
			"senpu":["","","","",""],
			"oriduru":["","","","",""],
			"katatu":["","","","",""]
		};
	[endscript]
	
	;通常BGM
	[eval exp="sf.selectBGM = 'bgm2.ogg'"]
	
	;BGM音量
	[eval exp="sf.bgm = '0.5'"]
	
	;SE音量
	[eval exp="sf.se = '0.5'"]
	
	;文字スピード
	[eval exp="sf.speed = '普通'"]
	
	;アニメ速度(fps)
	[eval exp="sf.fps = 8"]
	
	;所持しているセルラのパーツ
	[eval exp="sf.havePart = {}"]
	[iscript]
		sf.havePart = {
			"hito":{
				"huku":[true,false,false,false,false,false,false,false,false,false,false],
				"kao":[true,true],
				"me":[true,false,false,false,false,false,false],
				"kuti":[true,false,false,false,false],
				"megane":[true,false,false,false],
				"kami":[true,false,false,false,false,false,false,false,false],
				"mayuge":[true,false,false,false],
				"akuse":[true,false,false,false,false,false,false,false,false,false]
			},
			"kemono":{
				"sippo":[true,true,false,false,false],
				"asi":[true,false,false,false],
				"dou":[true,false,false,false,false,false,false],
				"me":[true,true,false,false,false,false],
				"kuti":[true,true,false,false],
				"mimi":[true,true,false,false,false,false,false,false,false],
				"akuse":[true,false,false,false,false,false,false,false,false]
			},
			"robo":{
				"asi":[true,false,false,false,false],
				"ude":[true,false,false,false,false],
				"dou":[true,false,false,false,false],
				"atama":[true,false,false,false,false],
				"me":[true,true,false,false,false,false,false,false,false,false,false]
			},
			"yasai":{
				"asi":[true,false,false],
				"mi":[true,false,false,false,false,false],
				"me":[true,true,false,false,false,false],
				"kuti":[true,true,false,false],
				"ha":[true,true,false,false,false,false]
			},
			"buttai":{
				"dou":[true,false,false,false,false,false,false,false,false,false],
				"kuti":[true,true,false,false],
				"me":[true,true,false,false,false,false]
			},
		};
	[endscript]
	
	;ハイスコア
	[eval exp="sf.highscore = 0"]
	
	;前回ゲームオーバーだったか
	[eval exp="sf.gameoverLast = false"]
	
	;プレイヤーのセルラへの応答履歴
	[eval exp="sf.playerInfo = {}"]
	
	[iscript]
		sf.playerInfo = {
			"BUSITU":0, "SEISIN":0, "BUNKEI":0, "RIKEI":5, "GORAKU":0, "SEIZON":0,
			"it":"UN", "pc":"UN", "news":"UN", "kamera":"UN", "kako":"UN",
			"mirai":"UN", "zibun":"UN", "tasya":"UN", "terebi":"UN", "game":"UN", "sousaku":"UN", "kenkyu":"UN",
			"hon":"UN", "sns":"UN", "eiga":"UN", "douga":"UN", "rekisi":"UN", "geizyutu":"UN", "syousetu":"UN", "irasuto":"UN", "manga":"UN",
			"anime":"UN", "ongaku":"UN", "gakki":"UN", "kankyou":"UN", "kikai":"UN", "robotto":"UN", "norimono":"UN",
			"ima":"UN", "ryokou":"UN", "syokuzi":"UN", "supotu":"UN", "ryouri":"UN", "kenkou":"UN", "huku":"UN", "doubutu":"UN", "syokubutu":"UN"
		}
	[endscript]
	
	;【ver1.02追加】セルラの回復量
	[eval exp="sf.kaihuku = 20"]
	
	;初期化した報告
	;[dialog type="alert" text="已初始化"]
	
[else]
;初回起動時じゃない場合
	;起動回数を＋する（999までカウント）
	[eval exp="sf.startCount+=1"]
	[eval exp="sf.startCount=999" cond="sf.startNumber>=999"]
	
	;【ver1.02追加】
	[if exp="sf.gameVer < 1.02"]
		[eval exp="sf.kaihuku = 20"]
		[eval exp="sf.gameVer = 1.02"]
	[endif]
	
[endif]

[return]