*start
[seStart storage="ok.ogg" cond="tf.clickse == true"]
[eval exp="tf.clickse = false"]

[cm]
[freeimage layer=1]
[freeimage layer=0]

;システム変数初期化の呼び出し
[call storage="sysvar.ks"]

;スタッククリア
[clearstack]

[if exp="sf.mainStory == 999"]
	[jump storage="story/999.ks"]
[endif]

;BGM再生
[bgmStart storage="&sf.selectBGM" cond="f.nowBGM != 'selectBGM'"]
[eval exp="f.nowBGM = 'selectBGM'"]

;背景設定
[bg storage="black.png" time=1000 wait="false" cond="sf.mainStory < 60"]
[bg storage="black2.png" time=1000 wait="false" cond="sf.mainStory >= 60"]
[layopt layer=0 visible=true]

;タイトルロゴ設定
[layopt layer=1 visible=true]

[ptext layer=1 text="探光空间" x=0 y=80 color="0xffffff" name="logo" width=1280 align=center zindex=999]
[ptext layer=1 text="探光空间" x=0 y=80 color="0xffffff" name="logo_shadow" width=1280 align=center zindex=800]
[ptext layer=1 text="探光空间" x=0 y=80 color="white" name="logo_line" width=1280 align=center zindex=700]

;タイトルメニュー設定
[glink color="tanko" target="*gamestart" width="300" x="490" y="400" text="寻找光" name="start_button"]
[if exp="sf.tankoSave ==true"]
	[glink color="tanko" target="*load" width="300" x="490" y="490" text="继续游戏" name="load_button"]
[endif]
[glink color="tanko" target="*menu" width="300" x="490" y="580" text="做准备" name="option_button" exp="tf.clickse = true"]

;バージョン情報
[ptext layer=1 text="ver.1.02" width="300" x=960 y=680 size=18 color="0x8e8e8e" name="verInfo,opa0" align="right"]

;タイトルロゴとメニューとバージョン情報の表示
[anim name="logo" opacity=200 time=800]
[anim name="logo_shadow" opacity=120 time=800]
[anim name="logo_line" opacity=100 time=800]

[anim name="start_button" opacity=255 time=800]
[anim name="load_button" opacity=255 time=800]
[anim name="option_button" opacity=255 time=800]

[anim name="verInfo" opacity=255 time=800]
[s]

;ゲームスタート
*gamestart
[seStart storage="ok.ogg"]

[bg storage="black.png" time=500 wait="false" cond="sf.mainStory >= 60"]

[if exp="sf.pName==''"]
	[call storage="input.ks"]
[endif]

[jump storage="ask.ks"]
[s]

;ロード
*load
[seStart storage="ok.ogg"]
[wait time=500]
[eval exp="sf.tankoSave=false"]
[autoload]
[s]

;準備する画面
*menu
[seStart storage="ok.ogg" cond="tf.clickse == true"]
[eval exp="tf.clickse = false"]

[cm]

[freeimage layer=1]
[ptext layer=1 name="optiontitle" text="做准备" width="1280" x="0" y="20" color="white" size=40 align="center"]

[glink color="tanko" target="*shop" width="350" x="465" y="100" text="商店"]
[glink color="tanko" target="*item" width="350" x="465" y="190" text="整理道具"]
[glink color="tanko" target="*custom" width="350" x="465" y="280" text="定制"]
[glink color="tanko" storage="itemzukan.ks" width="350" x="465" y="370" text="道具图鉴" exp="tf.clickse = true"]
[glink color="tanko" target="*option" width="350" x="465" y="460" text="选项" exp="tf.clickse = true"]

[glink color="tanko" target="*delsave" size=22 width="250" x="880" y="280" text="删除中断存档" cond="sf.tankoSave == true"]
[glink color="tanko" target="*chara" size=22 width="250" x="880" y="340" text="角色信息" exp="tf.clickse = true"]
[glink color="tanko" target="*kouryaku" size=22 width="250" x="880" y="400" text="攻略信息" exp="tf.clickse = true"]
[glink color="tanko" target="*playdata" size=22 width="250" x="880" y="460" text="游戏档案" exp="tf.clickse = true"]
[glink color="tanko" target="*credit" size=22 width="250" x="880" y="520" text="版权信息" exp="tf.clickse = true"]
[glink color="tanko" target="*namechange" size=22 width="250" x="880" y="580" text="更改名字" cond="sf.pName != ''"]

[glink color="tanko" target="*start" width="300" x="490" y="580" text="返回" exp="tf.clickse = true"]
[button graphic="icon/back.png" target="*start" name="backButton" x="50" y="600" enterimg="icon/back2.png" clickimg="icon/back2.png" exp="tf.clickse = true"]

[anim name="tanko" opacity=255 time=800]

[s]

;キャラクター情報
*chara
[jump storage="charainfo.ks" target="*charaTop"]
[s]

;攻略情報
*kouryaku
[jump storage="kouryaku.ks" target="*kouryakuTop"]
[s]

;アイテム整理
*item
[seStart storage="ok.ogg"]
[if exp="sf.tankoSave == true"]
	[AlertOpen mes="有中断存档时<br>无法使用。"][p]
	[AlertClose]
	[jump target="*menu"]
	[s]
[endif]
[jump storage="itemmenu.ks"]
[s]

;ショップ
*shop
[seStart storage="ok.ogg"]
[if exp="sf.tankoSave == true"]
	[AlertOpen mes="有中断存档时<br>无法使用。"][p]
	[AlertClose]
	[jump target="*menu"]
	[s]
[endif]
[jump storage="shopmenu.ks"]
[s]

;カスタマイズ
*custom
[seStart storage="ok.ogg"]
[if exp="sf.tankoSave == true"]
	[AlertOpen mes="有中断存档时<br>无法使用。"][p]
	[AlertClose]
	[jump target="*menu"]
	[s]
[endif]
[jump storage="custom.ks"]
[s]

;クレジット
*credit
[seStart storage="ok.ogg" cond="tf.clickse == true"]
[eval exp="tf.clickse = false"]

[cm]

[freeimage layer=1]
[ptext layer=1 name="credittitle" text="制作名单" width="1280" x="0" y="20" color="white" size=40 align="center"]

[ptext layer=1 name="opa0" text="音乐素材　　：propanmode<br>　<br>音效素材　：効果音ラボ<br>　<br>字体　　：もじワク研究<br>　<br>制作工具　：ティラノスクリプト<br>　<br>游戏制作　：ジェリーゼリー" width="550" x="365" y="120" color="white" size=32 align="left"]

[button graphic="icon/back.png" target="*menu" name="backButton" x="50" y="600" enterimg="icon/back2.png" clickimg="icon/back2.png" exp="tf.clickse = true"]

[anim name="opa0" opacity=255 time=800]

[s]

;オプション
*option
[eval exp="tf.option = 'title'"]
[jump storage="option.ks"]
[s]

;中断データの削除
*delsave
[seStart storage="ok.ogg"]
[eval exp="sf.tankoSave = false"]
[mtext layer=1 text="中断存档已删除" x=50 y=650 size=28 color="0xffffff" time=100]
[jump target="*menu"]
[s]


;名前変更
*namechange
[seStart storage="ok.ogg"]

[cm]

[freeimage layer=1]
[ptext layer=1 name="nametitle" text="更改名字" width="1280" x="0" y="20" color="white" size=40 align="center"]

[eval exp="tf.hanyouA = sf.pName"]
[ptext layer=1 name="nametitle" text="&'现在的名字：'+sf.pName" width="1280" x="0" y="120" color="white" size=28 align="center"]

[edit width=200 size=35 left=540 top=250 name="sf.pName" maxchars=5]
[button graphic="inputch.png" target="*namechange_go" x="540" y="330" clickimg="inputch2.png" enterimg="inputch2.png"]

[button graphic="icon/back.png" target="*menu" name="backButton" x="50" y="600" enterimg="icon/back2.png" clickimg="icon/back2.png" exp="tf.clickse = true"]

[anim name="tanko" opacity=255 time=800]
[anim name="opa0" opacity=255 time=800]

[iscript]
	var nameText = document.getElementsByTagName("input");
	nameText[0].addEventListener("touchend",function(e){
		nameText[0].value = prompt("请输入你（主人公）的名字");
	});
[endscript]

[s]

*namechange_go
[commit]
[cm]

[if exp="sf.pName == ''"]
	[AlertOpen mes="请输入"][p]
	[AlertClose]
	[eval exp="sf.pName = tf.hanyouA"]
	[jump target="*namechange"]
	[s]
[endif]

[seStart storage="ok.ogg"]
[AlertOpen mes="&'「' + sf.pName + '」<br>这就是新的名字'"][p]
[AlertClose]

[jump target="*menu"]
[s]

;プレイデータ
*playdata
[seStart storage="ok.ogg" cond="tf.clickse == true"]
[eval exp="tf.clickse = false"]

[cm]

[freeimage layer=1]
[ptext layer=1 name="playdatatitle" text="游戏存档" width="1280" x="0" y="20" color="white" size=40 align="center"]

[iscript]
	tf.hanyouA = 0;
	for(var i=0; i<sf.eventCount.T.length; i++){
		if(sf.eventCount.T[i] > 0){
			tf.hanyouA ++;
		}
	}
	for(var i=0; i<sf.eventCount.S.length; i++){
		if(sf.eventCount.S[i] > 0){
			tf.hanyouA ++;
		}
	}
	for(var i=0; i<sf.eventCount.H.length; i++){
		if(sf.eventCount.H[i] > 0){
			tf.hanyouA ++;
		}
	}
	
	tf.hanyouB = 0;
	for(var key in sf.zukan){
		if(sf.zukan[key] == true){
			tf.hanyouB ++;
		}
	}
[endscript]

[ptext layer=1 name="opa0" text="通关次数<br>　<br>遭遇过的事件<br>　<br>获得过的道具<br>　<br>最高分" width="550" x="365" y="120" color="white" size=32 align="left"]
[ptext layer=1 name="opa0" text="&'：' + sf.clearCount + '<br>　<br>：' + tf.hanyouA + '　/　56<br>　<br>：' + tf.hanyouB + '　/　60<br>　<br>：' + sf.highscore" width="300" x="660" y="120" color="white" size=32 align="left"]

[button graphic="icon/back.png" target="*menu" name="backButton" x="50" y="600" enterimg="icon/back2.png" clickimg="icon/back2.png" exp="tf.clickse = true"]

[anim name="opa0" opacity=255 time=800]

[s]
